package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by max on 2020/5/12.
 */
@Data
@Entity
@Table(name = "agent_point_record")
public class AgentPointRecordTable extends BaseTable{

    private Long agentId;
    /**
     * 返佣类型，1：品种类型，2：百分比
     */
    private Integer type;

    private Long pointId;

    private Float oldClassicFx;

    private Float oldClassicCfd;

    private Float oldClassicIndex;

    private Float oldClassicMetal;

    private Float oldVipFx;

    private Float oldVipCfd;

    private Float oldVipIndex;

    private Float oldVipMetal;

    private Float oldStandardFx;

    private Float oldStandardCfd;

    private Float oldStandardIndex;

    private Float oldStandardMetal;

    private Float oldCentFx;

    private Float oldCentCfd;

    private Float oldCentIndex;

    private Float oldCentMetal;

    private Float oldInstantFx;

    private Float oldInstantMetal;

    private Float oldInstantIndex;

    private Float oldComPointOne;

    private Float oldComPointTwo;

    private Float oldComPointThree;

    private Float newClassicFx;

    private Float newClassicCfd;

    private Float newClassicIndex;

    private Float newClassicMetal;

    private Float newVipFx;

    private Float newVipCfd;

    private Float newVipIndex;

    private Float newVipMetal;

    private Float newStandardFx;

    private Float newStandardCfd;

    private Float newStandardIndex;

    private Float newStandardMetal;

    private Float newCentFx;

    private Float newCentCfd;

    private Float newCentIndex;

    private Float newCentMetal;

    private Float newInstantFx;

    private Float newInstantMetal;

    private Float newInstantIndex;

    private Float newComPointOne;

    private Float newComPointTwo;

    private Float newComPointThree;

    /**
     * 生效时间
     */
    private Date validTime;

    private Integer status;

    private Float oldPercent;

    private Float newPercent;




    public static AgentPointRecordTable getInstance(){
        AgentPointRecordTable table = new AgentPointRecordTable();
        table.setOldClassicFx(0F);
        table.setOldClassicCfd(0F);
        table.setOldClassicIndex(0F);
        table.setOldClassicMetal(0F);

        table.setOldVipFx(0F);
        table.setOldVipCfd(0F);
        table.setOldVipIndex(0F);
        table.setOldVipMetal(0F);

        table.setOldStandardFx(0F);
        table.setOldStandardCfd(0F);
        table.setOldStandardIndex(0F);
        table.setOldStandardMetal(0F);

        table.setOldCentFx(0F);
        table.setOldCentCfd(0F);
        table.setOldCentIndex(0F);
        table.setOldCentMetal(0F);

        table.setOldInstantFx(0F);
        table.setOldInstantIndex(0F);
        table.setOldInstantMetal(0F);

        table.setOldComPointOne(0F);
        table.setOldComPointTwo(0F);
        table.setOldComPointThree(0F);

        table.setOldPercent(0F);

        table.setNewClassicFx(0F);
        table.setNewClassicCfd(0F);
        table.setNewClassicIndex(0F);
        table.setNewClassicMetal(0F);

        table.setNewVipFx(0F);
        table.setNewVipCfd(0F);
        table.setNewVipIndex(0F);
        table.setNewVipMetal(0F);

        table.setNewStandardFx(0F);
        table.setNewStandardCfd(0F);
        table.setNewStandardIndex(0F);
        table.setNewStandardMetal(0F);

        table.setNewCentFx(0F);
        table.setNewCentCfd(0F);
        table.setNewCentIndex(0F);
        table.setNewCentMetal(0F);

        table.setNewInstantFx(0F);
        table.setNewInstantIndex(0F);
        table.setNewInstantMetal(0F);

        table.setNewComPointOne(0F);
        table.setNewComPointTwo(0F);
        table.setNewComPointThree(0F);

        table.setNewPercent(0F);

        return table;
    }

}
